/*


  Wiring,
  Connect the momentary contact switch from the Arduino pin to ground. When the switch is pressed it will pull the pin low. That will de-incriment the counter turning off the LEDs in sequence.

  Connect +5 to the positive of the LED and the negative to the Arduino pin. LED will light when the connected Arduino pin is low.

  When all LEDs are off the momentary contact switch will not do anything until the main power is turned off and on, or reset on the board is pressed.
*/

// Global Variables and Constants
#define LED1 2
#define LED2 3
#define LED3 4
#define LED4 5

#define buttonPin 6 //
#define DEBOUNCE 1000 // Delay

void setup() {
  // Inititilize Inputs and Outputs

  pinMode (LED1, OUTPUT);
  pinMode (LED2, OUTPUT);
  pinMode (LED3, OUTPUT);
  pinMode (LED4, OUTPUT);

  pinMode(buttonPin, INPUT_PULLUP);

  digitalWrite (LED1, LOW);
  digitalWrite (LED2, LOW);
  digitalWrite (LED3, LOW);
  digitalWrite (LED4, LOW);

}

void loop() {
  // Main Loop
  if (digitalRead (buttonPin == LOW)) {
    digitalWrite (LED1, HIGH);
    delay(DEBOUNCE);
    digitalWrite (LED2, HIGH);
    delay (DEBOUNCE);
    digitalWrite (LED3, HIGH);
    delay (DEBOUNCE);
    digitalWrite (LED4, HIGH);
    delay (DEBOUNCE);
  } else {
    // if the current state is HIGH then the button went from on to off:
  }

}
